%global pypi_name smpp.pdu3
%global _pypi_name smpp.pdu3
%global rpm_name smpp-pdu3
%global _pypackage_name smpp/pdu
%global _pypackage_top smpp

Name:           python-smpp-pdu3
Version:        0.6
Release:        1%{?dist}
Summary:        smpp.pdu is a Python library for parsing Protocol Data Units (PDUs) in SMPP protocol

License:        Apache v2.0
URL:            https://pypi.org/project/smpp.pdu3/
Source0:        https://files.pythonhosted.org/packages/source/s/%{_pypi_name}/%{_pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
smpp.pdu is a Python library for parsing Protocol Data Units (PDUs) in SMPP protocol

%package -n python3-%{rpm_name}
Summary:        Client library for AMQP
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with sphinx_docs}
BuildRequires:  python3-sphinx >= 0.8
%endif
%{?python_provide:%python_provide python3-%{rpm_name}}

%description -n python3-%{rpm_name}
smpp.pdu is a Python library for parsing Protocol Data Units (PDUs) in SMPP protocol

%prep
%autosetup -n %{_pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
rm %{buildroot}%{python3_sitelib}/%{_pypackage_top}/__init__.py
rm -rf %{buildroot}%{python3_sitelib}/%{_pypackage_top}/__pycache__

%files -n python3-%{rpm_name}
%{python3_sitelib}/%{_pypackage_name}
%{python3_sitelib}/%{_pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Oct 25 2023 Kisuke-CZE <kisuke@kisuke.cz> - 0.6-1
- Initial package
